<?php
error_reporting(E_ALL|E_STRICT);

set_include_path('.' . PATH_SEPARATOR . '../_lib/'
	 . PATH_SEPARATOR . '../_app/models'
	 . PATH_SEPARATOR . get_include_path());
include "Zend/Loader.php";

Zend_Loader::loadClass('Zend_Controller_Front');
Zend_Loader::loadClass('Zend_Registry');
Zend_Loader::loadClass('Zend_View');
Zend_Loader::loadClass('Zend_Config_Ini');
Zend_Loader::loadClass('Zend_Debug');

// load configuration
$config = new Zend_Config_Ini('../_app/config.ini', 'general');
$registry = Zend_Registry::getInstance();
$registry->set('config', $config);


// setup controller
$frontController = Zend_Controller_Front::getInstance();
$frontController->throwExceptions(true);


$frontController->setControllerDirectory('../_app/controllers');

/*
Ʒ   ڵ óϰ  쿡 ϴ Դϴ..
 ڵó ø Ʒ ּ Ǯּ
*/
//$frontController->setParam('noViewRenderer', true);

// run!
$frontController->dispatch();

